proc get_name {} {
    set root [file normalize [file join [file dir [info script]] ..]]
    set fp [open [file join $root "configure.ac"] r]
    set txt [read $fp]
    close $fp
    regexp -- {m4_define\(\[plugin_name\], +\[([^ ]+?)\]\)} $txt all m
    return $m
}

set pluginname [get_name]

#set newdir "/Applications/GIMP.app/Contents/Resources/lib"
set newdir "@executable_path/../Resources/lib"

set curdir [file dir [file normalize [info script]]]
set plugin [file normalize [file join $curdir .. src $pluginname]]

set lines [exec otool -L $plugin]

foreach line [split $lines \n] {
	if {[string match "*/Users/*/gtk/inst/lib/*.dylib*" $line]} {
		set oldfile [regexp -inline "/Users/.*?\.dylib" $line]
		set newfile [file join $newdir [file tail $oldfile]]
		
		exec install_name_tool -change $oldfile $newfile $plugin
		puts $newfile
	} 
}

