# Create header file for pixbuf image.
# tclsh image_csource.tcl filename image1 image2 ...
if {[llength $argv] < 2} {
	error "too few args"
	exit 1
}

set name     [lindex $argv 0]
set img_list [lrange $argv 1 end]
puts $argv

fconfigure stdout -translation lf

proc create_img_args {imgs} {
	set ret [list]
	foreach img $imgs {
		lappend ret [file rootname $img] $img
	}
	return $ret
}

# Header File
set fp [open ${name}.h w]
fconfigure $fp -translation lf
puts $fp "#ifndef [string toupper $name]_H"
puts $fp "#define [string toupper $name]_H"
puts $fp "#include <glib.h>"
foreach img $img_list {
puts $fp "extern const guint8 [file rootname [file tail $img]]\[\];"
}
puts $fp "#endif"
close $fp

# C File
set fp [open ${name}.c w]
fconfigure $fp -translation lf
close $fp
exec echo "#include \"${name}.h\"" > ${name}.c
eval exec gdk-pixbuf-csource --extern --build-list [create_img_args $img_list] >> ${name}.c
exit 0
